## gnome-shell-extension-pearl-dock 1.2

=== Makefile ===
# Basic Makefile

UUID = pearl-dock@pearllinux.com
BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
TOLOCALIZE =  prefs.js appIcons.js
MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = pearl-dock@pearllinux.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dashtodock.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dashtodock.pot; \
	done;

./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/media
	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

=== debian/changelog ===
gnome-shell-extension-pearl-dock (1.2) rolltide; urgency=medium

  * Changed defaults

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 30 Aug 2019 21:51:38 -0500

gnome-shell-extension-pearl-dock (1.1) rolltide; urgency=medium

  * Typos

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 30 Aug 2019 20:23:02 -0500

gnome-shell-extension-pearl-dock (1.0) rolltide; urgency=medium

  * Initial Pearl build from ubuntu-dock

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 30 Aug 2019 20:04:41 -0500

gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.3) bionic; urgency=medium

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock (LP: #1743976).

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Jan 2019 11:39:02 +0100

gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.1) bionic; urgency=medium

  * Fix crash connecting/disconnecting monitors (LP: #1712661)
  * Fix showApps button label position (LP: #1784920)
  * Update translations, fixed settings typos
  * debian/control:
    - Point Vcs-* flags to the proper locations
  * debian/gbp.conf:
    - set ubuntu branch and tagging schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 02 Aug 2018 21:01:24 +0200

gnome-shell-extension-ubuntu-dock (0.9.1) bionic; urgency=medium

  * Rebased against latest dash to dock master with bug fixes:
    - fix GJS warnings
    - appIconIndicators: fix backLight for workspace/monitor isolation
    - theming: update panel solid style on showing the overview
    - translation updates

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2018 09:22:53 +0200

gnome-shell-extension-ubuntu-dock (0.9) bionic; urgency=medium

  * Rebase on latest master.
  * Disable "parameters" context menu on appIcon right click
  * schemas/10_ubuntu-dock.gschema.override:
    Adapt dot overrides to latest master, upstream changed dots
    gsettings parameters, adapt our default.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 03 Jan 2018 10:59:16 +0100

gnome-shell-extension-ubuntu-dock (0.8.1) bionic; urgency=medium

  * Readd dynamic transparent override lost during rebase (LP: #1730489)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 07 Nov 2017 09:32:22 +0100

gnome-shell-extension-ubuntu-dock (0.8) bionic; urgency=medium

  * Sync with latest dash to dock upstream, bringing glossy and other small
    upstream features.
  * Remove now prefs.js at package install time to minimize upstream diff.
  * Update Standards-Version to latest.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 06 Nov 2017 13:59:21 +0100

gnome-shell-extension-ubuntu-dock (0.7.1) artful; urgency=medium

  * Fix Ubuntu dock won't start after Dash to dock uninstalled (LP: #1726935)
  * Cherry-pick couple of upstream Dash to Dock fixes: (LP: #1727242)
    - warning fix with latest mozjs.
    - expose the dash to dock main object for other extensions to pick it up.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 25 Oct 2017 10:51:28 +0200

gnome-shell-extension-ubuntu-dock (0.7) artful; urgency=medium

  * Cherry-pick 2 upstream fixes:
    - Maximized windows get resized when returning from screensaver
      (LP: #1719409)
    - Mouse scrollwheel switches workspaces when mouse against the left
      edge of screen (LP: #1719706)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Oct 2017 10:30:10 +0200

gnome-shell-extension-ubuntu-dock (0.6) artful; urgency=medium

  * Badges and progress bar on dock. Thanks Andrea (LP: #1713712)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Sep 2017 14:09:30 -0400

gnome-shell-extension-ubuntu-dock (0.5) artful; urgency=medium

  [ Didier Roche ]
  * Cherry-pick dynamic and adaptive transparency feature to look and behave
    better with GNOME Shell 3.26. We only enable adaptive transparency.
    (LP: #1717509).
  * Rationalize some keyboard and key + mouse shortcuts:
    - Click is focus or showing up window previews. Same than Super + number
      (was already the default)
    - Shift + click launch a new instance. Same than Super + Shift + number
    - Middle click launch a new instance as well. This is to be consistent
      when middle clicking a link in a web browser opening a new tab.
    - Shift + middle click minimize the last focused window from the selected
      application.
  * Cherry-pick some fixes from dash to dock branch (without taking the other
    new features):
    - Hotkeys: remove keypad hotkeys
    - Define externally accessible classes and constants with 'var'
  * Fix uninitialized value for dock disabled by default
    (LP: #1712698, #1714219)
  * updated translations
  * Remove prefs.js as deleted from to localize list
  * Add Vcs-Git reference

  [ Sebastien Bacher ]
  * debian/control, debian/rules:
    - use dh_translations, update the template during the build

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Sep 2017 08:01:22 +0200

gnome-shell-extension-ubuntu-dock (0.4) artful; urgency=medium

  * Switch click-action to previews multiple window instances by default.
    This was discussed and acked in the Fit and Finish sprint.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 31 Aug 2017 11:50:47 +0200

gnome-shell-extension-ubuntu-dock (0.3) artful; urgency=medium

  * Rebase on latest dash to dock master to bring GNOME Shell 3.26 support.
    Thanks Jeremy, Fran and Michele for the warning!
  * debian/copyright: add Michele's name (Gaio).

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Aug 2017 09:49:35 +0200

gnome-shell-extension-ubuntu-dock (0.2) artful; urgency=medium

  * Add Replaces temporarly against gnome-shell-extension-dashtodock package
    which ships the same schema on purpose. This unblock users for the week-end
    until we decide on the best strategy to keep the schema synced and not
    diverge (should we conflicts and let people prefers installing dash to dock


=== debian/control ===
Source: gnome-shell-extension-pearl-dock
Section: gnome
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               libglib2.0-bin,
Standards-Version: 4.1.1
Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-bionic
Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-bionic
Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock-bionic/README.md

Package: gnome-shell-extension-pearl-dock
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Replaces: gnome-shell-extension-dashtodock, gnome-shell-extension-ubuntu-dock
Description: Pearl Dock for GNOME Shell
 A dock for the Gnome Shell, default Pearl Session experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with translations

override_dh_install:
	dh_install --fail-missing
	rm debian/*/usr/share/gnome-shell/extensions/pearl-dock@pearllinux.com/COPYING
	rm debian/*/usr/share/gnome-shell/extensions/pearl-dock@pearllinux.com/prefs.js

override_dh_translations:
	make ./po/dashtodock.pot
	dh_translations
